# Generated from fast_gettext-0.5.13.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fast_gettext


Summary: A simple, fast, memory-efficient and threadsafe implementation of GetText
Name: rubygem-%{gem_name}
Version: 0.7.1
Release: 1%{?dist}
Group: Development/Languages
# fast_gettext is MIT. However the files in lib/vendor directory
# are GPLv2+ or Ruby licensed.
# https://github.com/grosser/fast_gettext/issues/50
License: MIT and (GPLv2+ or Ruby)
URL: http://github.com/grosser/fast_gettext
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(release)
Requires: ruby(rubygems)
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildRequires: rubygem(rspec)
BuildRequires: rubygem(activerecord)
BuildRequires: rubygem(protected_attributes)
BuildRequires: rubygem(sqlite3)
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
A simple, fast, memory-efficient and threadsafe implementation of GetText


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}


%prep
%setup -q -c -T
%gem_install -n %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}

# Do not use bundler, since it tries to install unnecessary gems.
sed -i -e 's/bundle exec//' spec/fast_gettext/vendor/iconv_spec.rb
sed -i -e 's/bundle exec//' spec/fast_gettext/vendor/string_spec.rb

# Test of SAFE mode fails with Ruby 2.0.0.
# https://github.com/grosser/fast_gettext/issues/53

# 2 string interpolation cases fail due to AS 4.x incompatibility.
# https://github.com/grosser/fast_gettext/issues/57

# protected_attributes is RoR 3.x compatibility gem. Its usage should be removed
# as soon as upstream provide native support for RoR 4.x

LANG=en_US.utf8 rspec -rprotected_attributes spec | grep "178 examples, 3 failures"

popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.*
%doc %{gem_instdir}/Readme.md
%exclude %{gem_instdir}/fast_gettext.gemspec
%{gem_libdir}
%{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_instdir}/CHANGELOG
%{gem_instdir}/Gemfile*
%{gem_instdir}/Appraisals
%{gem_instdir}/Rakefile
%{gem_instdir}/benchmark
%doc %{gem_instdir}/examples
%{gem_instdir}/gemfiles
%{gem_instdir}/spec
%doc %{gem_docdir}


%changelog
* Mon Aug 19 2013 Vít Ondruch <vondruch@redhat.com> - 0.7.1-1
- Update to fast_gettext 0.7.1.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Mar 07 2013 Vít Ondruch <vondruch@redhat.com> - 0.7.0-1
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0
- Update to fast_gettext 0.7.0.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Feb 02 2012 Vít Ondruch <vondruch@redhat.com> - 0.6.1-3
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Oct 17 2011 Vít Ondruch <vondruch@redhat.com> - 0.6.1-1
- Update to fast_gettext 6.1.

* Mon Aug 01 2011 Vít Ondruch <vondruch@redhat.com> - 0.5.13-1
- Initial package
